import { CommonToken, ErrorListener as ANTLRErrorListener, Recognizer, Token } from 'antlr4';
import { Diagnostic } from 'vscode-languageserver-types';
export type SyntaxDiagnostic = Diagnostic & {
    offsets: {
        start: number;
        end: number;
    };
};
export declare class SyntaxErrorsListener implements ANTLRErrorListener<CommonToken> {
    errors: SyntaxDiagnostic[];
    unfinishedToken: boolean;
    tokens: Token[];
    constructor(tokens: Token[]);
    syntaxError<T extends Token>(recognizer: Recognizer<T>, offendingSymbol: T, line: number, charPositionInLine: number): void;
    reportAttemptingFullContext(): void;
    reportAmbiguity(): void;
    reportContextSensitivity(): void;
}
